## com.puppycrawl.tools.checkstyle.checks.whitespace
Enum PadOption

    java.lang.Object
      java.lang.Enum<PadOption>
          com.puppycrawl.tools.checkstyle.checks.whitespace.PadOption

All Implemented Interfaces:
  Serializable, Comparable<PadOption>

    public enum PadOption

extends Enum<PadOption>

Represents the options for whitespace around parentheses.

Version:
  1
Author:
  Oliver Burn
See Also:
  `EmptyForIteratorPadCheck`, `ParenPadCheck`

Enum Constant Summary
`NOSPACE` Represents no spacing following a left parenthesis or preceding a right one.
`SPACE` Represents mandatory spacing following a left parenthesis and preceeing a right one.

Method Summary
`static PadOption` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PadOption[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NOSPACE

    public static final PadOption NOSPACE

  Represents no spacing following a left parenthesis or preceding a right one.

### SPACE

    public static final PadOption SPACE

  Represents mandatory spacing following a left parenthesis and preceeing a right one.

Method Detail

### values

    public static PadOption[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PadOption c : PadOption.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PadOption valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2001-2011. All Rights Reserved.